import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{

    private int numCrabs = 0;
    
    private int numWorms = 0;
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);
        addObject(new Lobster(), 500, 500);
        addCrab(90, 70);
        addCrab(500, 213);
        addCrab(120, 430);
        addCrab(320, 310);
        addCrab(30, 280);
        addCrab(500, 30);
        for (int x=0; x<6; x++){
            for (int y=0; y<6; y++){
                addWorm( (x*90)+30, (y*90)+30);
            }
        }

        Greenfoot.stop();
    }
    
    public void addWorm(int x, int y)
    {
        addObject(new Worm(),x,y);
        numWorms++;
    }
    
    public void addCrab(int x, int y)
    {
        addObject(new RandomCrab(),x,y);
        numCrabs++;
    }
    
    public void wormEaten()
    {
        numWorms--;
        if (numWorms == 0)
        {
            Greenfoot.stop();
        }
    }
    
    public void crabEaten()
    {
        numCrabs--;
        if (numCrabs == 0)
        {
            Greenfoot.stop();
        }
    }
}